<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
      rel="stylesheet"
      href="https://use.fontawesome.com/releases/v5.7.1/css/all.css"
      integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr"
      crossorigin="anonymous"
    />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Homework-buttons</title>
    <style>
      .password-form {
        display: flex;
        flex-direction: column;
      }
      .input-wrapper {
        position: relative;
				width: 200px;
			 
      }

      .input-wrapper input {
        min-width: 120px;
        padding: 10px;
        margin-bottom: 24px;
      }

      .input-wrapper i {
        position: absolute;
        right: 25px;
        top: 30px;
        color: grey;
          cursor: pointer;
      }

			.btn{
				width: 150px;
			}
            .alert{
                position: absolute;
                z-index: 1001;
                display: flex;
                text-align: center;
                justify-content: center;
                width: 350px;
                height: 100px;
                top: calc(100% / 2 - 50px);
                left: calc(100% / 2 - 175px);
                background-color: #fff;
                border: 1px solid #fff;
                border-radius: 5px;
                box-shadow: 5px 5px 5px #000;
            }
            .alert::after,
            .bt::after
            {
                content: '';
                position: absolute;
                top: 5px;
                width: 340px;
                height: 90px;
                border: 1px solid rgba(0, 0, 0, .2);
                box-shadow: 5px 5px 5px rgba(0, 0, 0, .2);
                border-radius: 5px;
            }

            .bt::after{
                width: 60px;
                height: 20px;
                z-index: 1;
            }
             .bt:hover::after{
              box-shadow: none;
             }

            .bt{
                position: inherit;
                top: 55%;
                display: flex;
                justify-content: center;
                align-items: center;
                width: 70px;
                height: 30px;
                background-color: #fff;
                border: 1px solid #fff;
                border-radius: 5px;
                box-shadow: 3px 3px 3px #000;
                cursor: pointer;
            }

            .bt:active{
                border: 1px solid rgba(0, 0, 0, .5);
                box-shadow: none;
            }

            .blind-alert{
                position: absolute;
                display: none;
                top: 0;
                left: 0;
                z-index: 1000;
                width: 100vw;
                height: 100vh;
                background-color: rgba(0, 0, 0, .2);
            }
    </style>
      <script src="index.js" defer></script>
  </head>
  <body>
    <form class="password-form" action="#" type="POST">
			<label class="input-wrapper">
                Ввести пароль
				<input id="inn" type="password"/>
        <i class="fas_inn fas fa-eye-slash icon-password"></i>
        <!-- <i class="fas fa-eye icon-password"></i> -->
			</label>
      <label class="input-wrapper">
          Підтвердити пароль
        <input id="rp" type="password"/>
        <i class="fas_rp fas fa-eye-slash icon-password"></i>
        <!-- <i class="fas fa-eye icon-password"></i>-->
			</label>
			<button tabindex="0" type="submit" class="btn">Подтвердить</button>
        </form>
   <div class="blind-alert">
       <div class="alert">
        <p></p>
        <span tabindex="1" class="bt">Ok</span>
    </div>
   </div>
  <span class="sss"></span>
  </body>
</html>
